<?xml version = "1.0" encoding="utf-8"?>
<div>
    <script type="text/template" name="menu">
        <span class="dropdown">
        <i data-toggle="dropdown" class="fa fa-navicon uw-hover uw-clickable"></i>
        <ul class="dropdown-menu multi-level">
            <li><a href="#" value="browse">Browse</a></li>
            <li><a href="#" value="create">Create</a></li>
            <li role="separator" class="divider"></li>
            <li class="dropdown-submenu">
                <a href="#" value="statistics">Statistics</a>
                <ul class="dropdown-menu">
                    <li><a href="#" value="aggregateSalesAmount">Sales Amount</a></li>
                    <li><a href="#" value="aggregateSalesVolume">Sales Volume</a></li>
                </ul>
            </li>
            <li role="separator" class="divider"></li>
            <li><a href="#" value="import">Import</a></li>
            <li role="separator" class="divider"></li>
            <li><a href="#" value="preferences">Preferences...</a></li>
            <li class="dropdown-submenu">
                <a href="#" value="progress">Progress</a>
                <ul class="dropdown-menu">
                    <li><a href="#" value="determinate">Determinate...</a></li>
                    <li><a href="#" value="indeterminate">Indeterminate...</a></li>
                </ul>
            </li>
            <li role="separator" class="divider"></li>
            <li><a href="#" value="dashboard">Dashboard</a></li>
            <li role="separator" class="divider"></li>
            <li><a href="#" value="exit">Exit</a></li>
        </ul>
        </span>
    </script>

    <script type="text/template" name="finder">
        <form name="criteria" class="form-horizontal">
            <div class="form-group">
                <label class="control-label col-sm-1">Name</label>
                <div class="col-sm-2">
                    <input type="text" class="form-control" name="name" subject="price" predicate="like">
                </div>
                <label class="control-label col-sm-1">Release Date</label>
                <div class="col-sm-2">
                    <input type="date" class="form-control" name="releaseGE" subject="release" predicate="ge">
                </div>
                <label class="control-label col-sm-1 uw-label-center"> ~ </label>
                <div class="col-sm-2">
                    <input type="date" class="form-control" name="releaseLE" subject="price" predicate="le">
                </div>
                <div class="col-sm-offset-1 col-sm-1">
                    <button type="submit" class="btn uw-button-attention" value="search">
                        <i class="fa fa-sign-in" aria-hidden="true"></i>
                        <span>Search</span>
                    </button>
                </div>
                <div class="col-sm-1">
                    <button type="reset" class="btn uw-button-default" value="reset">
                        <i class="fa fa-undo" aria-hidden="true"></i>
                        <span>Reset</span>
                    </button>
                </div>
            </div>
        </form>
        <div class="progress">
            <div class="progress-bar progress-bar-success progress-bar-striped"></div>
        </div>
        <hr>
        <table name="grid" class="table table-striped" mode="single">
            <thead>
            <tr>
                <th handler="SELECTOR"></th>
                <th dataIndex="name" i18n="true" editable="false" style="min-width:200px;">Name</th>
                <th dataIndex="description" i18n="true" editable="false">Description</th>
                <th dataIndex="platforms" code="platform" editable="false" style="min-width:150px;">Platforms</th>
                <th dataIndex="price" subtype="currency" editable="true" style="min-width:100px;">Price</th>
                <th dataIndex="release" subtype="date" editable="false" style="min-width:150px;">Release Date</th>
            </tr>
            </thead>
        </table>
        <nav class="text-center">
            <ul name="pagination" class="pagination"></ul>
        </nav>
    </script>

    <script type="text/template" name="editor">
        <form class="form-horizontal">
            <div class="form-group">
                <label class="control-label col-sm-1" name="id">ID</label>
                <div class="col-sm-3">
                    <input type="text" class="form-control" name="id" required>
                </div>
                <div class="col-sm-9"></div>
            </div>
            <div class="form-group">
                <label class="control-label col-sm-1" name="name">Name</label>
                <div class="col-sm-7">
                    <input type="text" class="form-control" name="name" required>
                </div>
                <div class="col-sm-2"></div>
            </div>
            <div class="form-group">
                <label class="control-label col-sm-1" name="price">Price</label>
                <div class="col-sm-3">
                    <input type="number" class="form-control" name="price" required>
                </div>
                <label class="control-label col-sm-2" name="release">Release Date</label>
                <div class="col-sm-2">
                    <input type="date" class="form-control" name="release">
                </div>
                <label class="control-label col-sm-1">Developer</label>
                <div class="col-sm-3">
                    <select class="form-control" name="manufacturer" reference="manufacturer"></select>
                </div>
            </div>
            <div class="form-group">
                <label class="control-label col-sm-1" name="description">Description</label>
                <div class="col-sm-11">
                    <textarea rows="5" class="form-control" name="description"></textarea>
                </div>
            </div>
            <div class="form-group">
                <div class="col-sm-offset-1 col-sm-11">
                    <button type="button" value="close" class="btn uw-button-default">
                        <i class="fa fa-close" aria-hidden="true"></i>
                        <span>Close</span>
                    </button>
                    <button type="submit" value="save" class="btn uw-button-attention"
                            confirmation="Save changes?: Do you want to save changes made to this item?" >
                        <i class="fa fa-save" aria-hidden="true"></i>
                        <span>Save</span>
                    </button>
                    <button type="button" value="undo" class="btn uw-button-caution"
                            confirmation="Discard changes?: Are you sure you want to discard all changes to this item?">
                        <i class="fa fa-undo" aria-hidden="true"></i>
                        <span>Undo</span>
                    </button>
                    <button type="button" value="delete" class="btn uw-button-warning"
                            confirmation="Delete the item?: Are you sure you want to delete this item?" >
                        <i class="fa fa-trash" aria-hidden="true"></i>
                        <span>Delete</span>
                    </button>
                </div>
            </div>
        </form>
    </script>

    <script type="text/template" name="preferences">
        <div style="width: 400px;">
            <form class="form-horizontal">
                <div class="form-group">
                    <label class="control-label col-sm-2" name="favorites">Favorites</label>
                    <div class="col-sm-10">
                        <div data-control=combobox class="form-control" name="favorites" valueField="uuid" displayField="name"></div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-offset-1 col-sm-11">
                        <button type="button" value="clear" class="btn uw-button-default">
                            <i class="fa fa-close" aria-hidden="true"></i>
                            <span>Clear</span>
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </script>
</div>